class CMFSPropertiesMedia : public CBasePropertyPage
{

public:

    static CUnknown * WINAPI CreateInstance(LPUNKNOWN lpunk, HRESULT *phr);

private:
    CMFSPropertiesMedia(LPUNKNOWN lpunk, HRESULT *phr);

    BOOL OnReceiveMessage(HWND hwnd,UINT uMsg,WPARAM wParam,LPARAM lParam);
    HRESULT OnConnect(IUnknown *pUnknown);
    HRESULT OnDisconnect();
    HRESULT OnActivate();
    HRESULT OnDeactivate();
    HRESULT OnApplyChanges();

    void    GetControlValues();
    void    SetControlValues();

	void OpenMediaTypeFile(HWND	hwnd);

    BOOL			m_bIsInitialized;		// Used to ignore startup messages
	CMediaType		*m_pmt;					// the media type
    IIPMFSrc		*m_pIPMFSrc;			// The custom interface on the filter
}; 
